> ## Documentation Index
> Fetch the complete documentation index at: https://help.statisfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one value shape's JSON Schema

> The shape's JSON Schema (required keys, types, enums, nesting), the settings that use it and an example.



## OpenAPI

````yaml /api/statisfy-api.openapi.json get /v1/automations/shapes/{shape}
openapi: 3.1.0
info:
  description: >-
    The agent-first Statisfy API. Authenticate with an API key (`Authorization:
    Bearer stfy_live_…`), then call `GET /v1/meta/capabilities` to discover
    every operation and its schemas.
  title: Statisfy API
  version: 1.0.0
servers:
  - url: https://api.statisfy.com
    description: Production
security: []
paths:
  /v1/automations/shapes/{shape}:
    get:
      tags:
        - automations
      summary: Get one value shape's JSON Schema
      description: >-
        The shape's JSON Schema (required keys, types, enums, nesting), the
        settings that use it and an example.
      operationId: automations_get_shape
      parameters:
        - in: path
          name: shape
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutomationShape'
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    AutomationShape:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        example:
          description: An example value, from the schema's `examples`
          title: Example
        json_schema:
          additionalProperties: true
          description: 'The value''s JSON Schema: required keys, types, enums, nesting'
          title: Json Schema
          type: object
        name:
          title: Name
          type: string
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        used_by:
          items:
            $ref: '#/components/schemas/AutomationShapeUse'
          title: Used By
          type: array
      required:
        - name
        - title
        - description
        - used_by
        - json_schema
      title: AutomationShape
      type: object
    AutomationShapeUse:
      properties:
        component:
          title: Component
          type: string
        setting:
          title: Setting
          type: string
      required:
        - component
        - setting
      title: AutomationShapeUse
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http
      description: >-
        An API key, sent as `Authorization: Bearer stfy_live_…`. See
        [Authentication](/rest-api/authentication) for how to get one and which
        scopes it needs.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.